# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/doxygen /usr/bin/lynx /usr/bin/w3m /usr/bin/xsltproc gcc-c++ libncurses-devel
# END SourceDeps(oneline)
%global pre pre2

Name:          yapet
Version:       0.8
Release:       alt1_0.5.%{pre}
Summary:       Curses based password encryption tool

Group:         Office
License:       GPLv3+ with exceptions
URL:           http://www.guengel.ch/myapps/%{name}/
Source0:       http://www.guengel.ch/myapps/%{name}/downloads/%{name}-%{version}%{pre}.tar.bz2


BuildRequires: libssl-devel
BuildRequires: ncurses-devel
BuildRequires: gettext
Source44: import.info


%description
YAPET is a text based password manager using the Blowfish encryption algorithm.
Because of its small footprint and very few library dependencies, it is suited
for installing on desktop and server systems alike.


%prep
%setup -q -n %{name}-%{version}%{pre}

for f in ./DESIGN ./README
do
  iconv -f iso-8859-1 -t utf-8 $f |sed 's|\r||g' > $f.utf8
  touch -c -r $f $f.utf8
  mv $f.utf8 $f
done


%build
%configure \
           --enable-terminal-title \
           --enable-csv2yapet \
           --enable-pwgen \
           --disable-build-doc \
           --disable-source-doc \
           --disable-install-doc

make %{?_smp_mflags} \
     CXXFLAGS+="%{optflags}" \
     CFLAGS+="%{optflags}"


%install
make install \
     INSTALL="install -p" \
     DESTDIR=%{buildroot}

rm -rf %{buildroot}/%{_datadir}/applications/

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING DESIGN LICENSE NEWS README THANKS TODO
%{_bindir}/%{name}
%{_bindir}/csv2%{name}
%{_mandir}/man*/*%{name}*


%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_0.5.pre2
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_0.4.pre2
- update to new release by fcimport

* Fri Jun 08 2012 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_0.3.pre2
- fc import

